<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/individual.php");
  $individual=new individual;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/individualcredito.php");
  $individualcredito=new individualcredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditointerno.php");
  $creditointerno=new creditointerno;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);
  //********* SEGURIDAD GET *************/
  //echo "Haber como furula";
  $valor=dcUrl($lblcode);
  //echo $valor;
  $cred=$individualcredito->muestra($valor);
  $gr=$individual->muestra($cred['idindividual']);
  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);
  $dus=$usuario->muestra($cred["usuariocreacion"]);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $ddom=$dominio->muestra($cred['frecuenciapago']);
  $cuotacobrar=$cred['cuota'];
  //$canTCred=$credito->mostrarTodo("idgrupocredito=".$valor);
  $fecha=date('Y-m-d');
  //echo $valor;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Información del socio con crédito";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1078;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <!--    <div class="row"> -->
                <div class="row " style="background: #7AAD4E; text-align: center; color:white; font-size: 25px; border-radius: 5px;">
                    <?php echo $hd_titulo; ?>
            </div> 
            <div class="col s12 m12 l12" style="text-align: right;">
                  <a href="../?lblcode=<?php echo ecUrl($cred['idindividual']) ?>" class="btn waves-effect waves-light blue lighten-1"><i class="fa fa-mail-reply-all"></i> Volver</a>
                </div>           
           <!-- </div>-->
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="row">
                <div class='col s12 m12 l12'>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Socio(a)</strong> </div></legend>
                      <div class="col s6 m4 l3">Fecha Ultima Reunión: <b><?php echo $cred['fechaultimo'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha: <b><?php echo $cred['fechaproximo'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Cierre: <b><?php echo $cred['fechacierre'] ?></b></div>
                    <!--  <div class="col s6 m4 l3">Grupo: <b><?php //echo $gr['nombre'] ?></b></div> -->
                      <div class="col s6 m4 l3">Codigo: <b><?php echo $cred['idindividualcredito'] ?></b></div>
                      <div class="col s6 m4 l3">Zona: <b><?php echo $gr['lugarreunion'] ?></b></div>
                      <div class="col s6 m4 l3">Ciclo: <b><?php echo $gr['idciclo'] ?></b></div> 
                      <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                      <div class="col s6 m4 l3">Lapso: <b><?php echo $ddom['short'] ?></b></div>
                      <div class="col s6 m4 l3">Tipo Banca: <b><?php echo $tba['nombre'] ?></b></div>
                     <!-- <div class="col s6 m4 l3">N° Integrantes: <b><?php// echo count($canTCred) ?></b></div> -->
                  </fieldset>
                </div> 
              </div>
            </div> 
          </div> 

          <div class="container">
            <?php
         /*     if ($cuotacobrar==0) {
                ?>
                  <a href="#modal1" class="btn cyan darken-4 modal-trigger "><i class="fa fa-user"></i> Agregar Persona al Crédito</a>
                <?php
              }*/
            ?>
            <div class="section">
              <div class="col s12 m12 l12">
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Socio(a)</strong> </div></legend>
                <table id="example2" class="display datatble" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>CARNET</th> 
                      <th>NOMBRE</th>
                      <th>MONTO OT.</th>
                      <th>SALDO CAP</th>
                      <th>CREDITO INTERNO.</th>
                      <th>SALDO CR. INT.</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    foreach($credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=1") as $f)
                    {
                      $dper=$persona->muestra($f['idpersona']);
                      $dgr=$individual->muestra($f['idcredito']);//mal revisar
                      switch ($f['estadocobro']) { 
                        case '0':
                          $estilo="background-color: #EAFAF1;";
                        break;
                        case '1':
                          $estilo="background-color: #ffc6c6;";
                        break;
                      }
                      $eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
                      $lblcod=ecUrl($f['idcredito']);
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $f['idcredito'] ?></td>
                      <td><?php echo $dper['carnet'].$dper['expedido'] ?></td>
                      <td><?php echo $dper['nombre']." ".$dper['paterno']." ".$dper['materno'] ?></td>
                      <td><?php echo $f['montoOT'] ?></td>
                      <td><?php echo $f['saldo'] ?></td>
                      <td><?php echo $f['montoCI'] ?></td>
                      <td><?php echo $f['saldoCI'] ?></td>
                      <td>
                        <?php
                          if ($f['saldoCI']>0) {
                            ?>
                              Con Crédito Interno
                            <?php
                          }else{
                            ?>
                              <a href="interno/?lblcode=<?php echo $lblcod ?>" class="btn-jh waves-effect darken-4 cyan"><i class="fa fa-money"></i> Crédito Interno</a>
                            <?php
                          }



                        /*  if ($f['cuotaspagadas']==0) {
                            ?>
                              <button onclick="quitarPer('<?php echo $f['idcredito'] ?>');" class="btn-jh red darken-3"><i class="fa fa-times"></i> Quitar Persona</button>
                            <?php
                          }*/
                        ?>                        
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
                 </fieldset>
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <div class="container">
      <div class="section">           
        <div id="modal1" class="modal">
          <div class="modal-content">
            <div class="col s12 m12 l12">
              <table id="example2" class="display datatble" cellspacing="0" width="100%">
                <thead>
                  <tr>
                    <th>Cod</th>
                    <th>CARNET</th> 
                    <th>NOMBRE</th>
                    <th>Acciones</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  foreach($personagrupo->mostrarTodo("idgrupo=".$gr['idgrupo']) as $f)
                  {
                    $dper=$persona->muestra($f['idpersona']);
                    $dcred=$credito->mostrarUltimo("idpersona=".$f['idpersona']." and idgrupocredito=".$valor." and tipocredito=1");
                    if (count($dcred)==0) {
                      ?>
                        <tr>
                          <td><?php echo $f['idpersonagrupo'] ?></td>
                          <td><?php echo $dper['carnet'].$dper['expedido'] ?></td>
                          <td><?php echo $dper['nombre']." ".$dper['paterno']." ".$dper['materno'] ?></td>
                          <td>
                            <button onclick="AgregarPer('<?php echo $f['idpersona'] ?>');" class="btn-jh waves-effect darken-4 cyan"><i class="fa fa-download"></i> Agregar Persona</button>
                          </td>
                        </tr>
                      <?php
                    }
                  }
                  ?>
                </tbody>
              </table>
            </div>
          </div>
          <div class="modal-footer">
            <a id="btnLimpiar" onclick="limpiar();" class="btn waves-effect waves-light red"><i class="fa fa-clear"></i> Limpiar</a>
            <a id="btnSave" class="btn waves-effect waves-light blue"><i class="fa fa-save"></i> CREAR CRÉDITO</a>
          </div>
        </div>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
    ?>
    <script type="text/javascript">
      function quitarPer(idcredito){
        swal({
          title: "¿Esta seguro?",
          text: "Quitaras la persona del credito grupal",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#ff0000",
          confirmButtonText: "Quitar",
          closeOnConfirm: false,
          showLoaderOnConfirm: true
        }, function () {
          $.ajax({
            url: "quitarPersona.php",
            type: "POST",
            data: "idcredito="+idcredito,
            success: function(resp){
              console.log(resp);
              $("#idresultado").html(resp);
            }   
          });
        });
      }
      function AgregarPer(idpersona){
        swal({
          title: "¿Esta seguro?",
          text: "Se agregaras la persona al grupo",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#2c2a6c",
          confirmButtonText: "Registrar",
          closeOnConfirm: false,
          showLoaderOnConfirm: true
        }, function () {
          var idgrupocredito="<?php echo $valor; ?>";
          $.ajax({
            url: "AgregarPersona.php",
            type: "POST",
            data: "idgrupocredito="+idgrupocredito+"&idpersona="+idpersona,
            success: function(resp){
              console.log(resp);
              $("#idresultado").html(resp);
            }   
          });
        });
      }
      $(document).ready(function() {
        $('.datatble').DataTable( {
          dom: 'Bfrtip',
          buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
          ]
        });
      });
    </script>
</body>

</html>